Subject: Re: 15" Planer Recommendation

From: Roger & Jo Kempfer <[email-masked]>
Date: Sat, 08 Feb 1997 12:58:02 -0900

Ralph Hybels wrote:
> 
> Downsides of the Grizzly:  motor on top.  It's better to have it below
> the tables -- supposedly less vibration and definitely allows using
> rollers on top to hold boards and pass them back and forth.  Second
> poss. downside is that others at least advertise stronger motors (3
> horse vs. 2, but that may not mean much).
> 
> Keep in mind that 15" planers are a bear to move -- they really do weigh
> about 500 pounds and are awkward to get four guys around.
> 
> Ralph
> 
> Karen Sprinkle wrote:
> >
> > So, I've follow this group pretty regularly and noticed there is
> > (almost) always a thread going about tablesaws or portable planers --
> > but what about stationary planers ?? I'm close to deciding on the 15"
> > Grizzley, but was curious about what the rest of you think. Some of
> > you must have something bigger than a portable....
> >
> > Thanks,
> > Brent

I have had the 20" for about three years.  Absolutely no problems with 
it.  Further there have been a lot of comments about snipe with planers.  
I have a 12" of a different brand and have had it for almost 10 years.  
Never could get the snipe out of it.  Unless you want commercial and 
want to spend $5000 up the Grizzly is an excellent choice.  (I don't 
work for them).  While trying to decide which brand to get I talked to 
several people.  I have three friends who have the 15" and two of them 
are professional woodworkers, none would even dream of parting with 
their 15" Grizzly.  I did decide for the money the 20" was the best buy 
IMHO.

Roger